//
//  TZAssetModel+imageData.m
//  隐私保护
//
//  Created by xd h on 2023/11/11.
//

#import "TZAssetModel+imageData.h"
#import <objc/runtime.h>

@implementation TZAssetModel (imageData)

- (void)setImageData:(NSData *)imageData {
    objc_setAssociatedObject(self, @selector(imageData), imageData, OBJC_ASSOCIATION_RETAIN);
}
- (NSString *)imageData {
    return objc_getAssociatedObject(self, @selector(imageData));
}

- (void)setVideoData:(NSData *)videoData {
    objc_setAssociatedObject(self, @selector(videoData), videoData, OBJC_ASSOCIATION_RETAIN);
}
- (NSString *)videoData {
    return objc_getAssociatedObject(self, @selector(videoData));
}


- (void)setTotalBytes:(long)totalBytes {
    objc_setAssociatedObject(self, @selector(totalBytes), @(totalBytes), OBJC_ASSOCIATION_ASSIGN);
}
- (long)totalBytes {
    NSNumber *curNumber = objc_getAssociatedObject(self, @selector(totalBytes));
    return curNumber.longValue;
}

@end
